//--------------------------------------------------------------------------------------------------------------------------//
//Choix Valeur Bt (0-250)
//--------------------------------------------------------------------------------------------------------------------------//
char ValeurSelectionBT=0;
char RenvoiSelectionBT=0;

//(0-250) utilisé , 5 valeur paramétrable pour d'autre utilisation
//255 utilisé pour verifié si une info à était envoyer
//254 non utilisé
//253 non utilisé
//252 non utilisé
//251 non utilisé
//les valeur avec des unité non nuls sont aussi paramétrable 
//exemple : 219 (a évité tout de même, ceci peux porter a quelque erreur lors de la transmissions de l'info)

char ValeurBT255(void)
{

  RenvoiSelectionBT=255;
  ValeurSelectionBT=0;

  SerialBT.print("\nSelectionnez la valeur avec : ");
  SerialBT.print("\na=0 b=10 ... z=250");
  SerialBT.print("\n\nexemple : z mettera la couleur ");
  SerialBT.print("\nselectionné au  maximume de ça");
  SerialBT.print("\npuissance, a donnera une couleur nul");

  while(RenvoiSelectionBT==255)
  //while(RenvoiSelectionBT==255 || ValeurSelectionBT==0) // ca marcher aussi
  {
    

        ValeurSelectionBT = SerialBT.read();
        
        
        if(ValeurSelectionBT == 'a')                            
                    {
                            RenvoiSelectionBT = 0 ;
                    }
        if(ValeurSelectionBT == 'b')                            
                    {
                            RenvoiSelectionBT = 10 ;
                    }
        if(ValeurSelectionBT == 'c')                            
                    {
                            RenvoiSelectionBT = 20 ;
                    }
        if(ValeurSelectionBT == 'd')                            
                    {
                            RenvoiSelectionBT = 30 ;
                    }
        if(ValeurSelectionBT == 'e')                            
                    {
                            RenvoiSelectionBT = 40 ;
                    }
        if(ValeurSelectionBT == 'f')                            
                    {
                            RenvoiSelectionBT = 50 ;
                    }
        if(ValeurSelectionBT == 'g')                            
                    {
                            RenvoiSelectionBT = 60 ;
                    }
        if(ValeurSelectionBT == 'h')                            
                    {
                            RenvoiSelectionBT = 70 ;
                    }
        if(ValeurSelectionBT == 'i')                            
                    {
                            RenvoiSelectionBT = 80 ;
                    }
        if(ValeurSelectionBT == 'j')                            
                    {
                            RenvoiSelectionBT = 90 ;
                    }
        if(ValeurSelectionBT == 'k')                            
                    {
                            RenvoiSelectionBT = 100 ;
                    }
        if(ValeurSelectionBT == 'l')                            
                    {
                            RenvoiSelectionBT = 110 ;
                    }
        if(ValeurSelectionBT == 'm')                            
                    {
                            RenvoiSelectionBT = 120 ;
                    }
        if(ValeurSelectionBT == 'n')                            
                    {
                            RenvoiSelectionBT = 130 ;
                    }
        if(ValeurSelectionBT == 'o')                            
                    {
                            RenvoiSelectionBT = 140 ;
                    }
        if(ValeurSelectionBT == 'p')                            
                    {
                            RenvoiSelectionBT = 150 ;
                    }
        if(ValeurSelectionBT == 'q')                            
                    {
                            RenvoiSelectionBT = 160 ;
                    }
        if(ValeurSelectionBT == 'r')                            
                    {
                            RenvoiSelectionBT = 170 ;
                    }
        if(ValeurSelectionBT == 's')                            
                    {
                            RenvoiSelectionBT = 180 ;
                    }
        if(ValeurSelectionBT == 't')                            
                    {
                            RenvoiSelectionBT = 190 ;
                    }
        if(ValeurSelectionBT == 'u')                            
                    {
                            RenvoiSelectionBT = 200 ;
                    }
        if(ValeurSelectionBT == 'v')                            
                    {
                            RenvoiSelectionBT = 210 ;
                    }
        if(ValeurSelectionBT == 'w')                            
                    {
                            RenvoiSelectionBT = 220 ;
                    }
        if(ValeurSelectionBT == 'x')                            
                    {
                            RenvoiSelectionBT = 230 ;
                    }
        if(ValeurSelectionBT == 'y')                            
                    {
                            RenvoiSelectionBT = 240 ;
                    }
        if(ValeurSelectionBT == 'z')                            
                    {
                            RenvoiSelectionBT = 250 ;
                    }

      delay(200);
      //SerialBT.print("Reception actuelle  : ");                                 
      //SerialBT.println(ValeurSelectionBT, DEC);                          
    
  }

return RenvoiSelectionBT;

}
